<template>
  <v-footer
    height="auto"
    padless
    tile
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        class="primary"
        justify="center"
        align="center"
      >
        <v-col
          cols="1"
        />
        <v-col
          cols="4"
        >
          <v-row
            justify="center"
          >
            <v-img
              height="150"
              max-width="300"
              contain
              :src="$t('urlLogoMobicoop')"
            />
          </v-row>
          <v-row
            justify="center"
            class="mb-10"
          >
            <v-img
              class="ml-16"
              height="150"
              max-width="500"
              contain
              eager
              :src="$t('urlPicSaintLoup')"
            />
          </v-row>

          <v-row
            justify="center"
            class="mb-10"
          >
            <v-img
              class="ml-16"
              height="150"
              max-width="500"
              contain
              eager
              :src="$t('urlFranceMobilite')"
            />
          </v-row>
          <v-row justify="center">
            <span class="text-center white--text h6">
              {{ $t("downloadApp") }}
            </span>
          </v-row>
          <v-row justify="center">
            <a  
              :href="$t('links.pictos.playStore.url')"
              style="text-decoration:none;"
            >
              <v-img
                contain
                :src="$t('links.pictos.playStore.logo')"
                height="50px"
              />
            </a>
            <a  
              :href="$t('links.pictos.appleStore.url')"
              style="text-decoration:none;"
            >
              <v-img
                contain
                :src="$t('links.pictos.appleStore.logo')"
                height="50px"
              />
            </a>
          </v-row>
        </v-col>
        <v-col
          cols="2"
        />
        <v-col
          cols="4"
          class="white--text"
        >
          <v-row
            justify="center"
          >
            <v-col cols="12">
              <v-card-text class="my-0 py-0 font-weight-bold text-h5">
                {{ $t("links.label.helpInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row
            
            justify="center"
          >
            <v-col cols="12">
              <v-card-text class="my-0 py-0">
                <a
                  :href="$t('links.route.terms')"
                  style="text-decoration:none;"
                  class="white--text text-h6"
                >{{ $t("links.label.terms") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row
            
            justify="center"
          >
            <v-col cols="12">
              <v-card-text class="my-0 py-0">
                <a
                  :href="$t('links.route.dataPolicy')"
                  style="text-decoration:none;"
                  class="white--text text-h6"
                >{{ $t("links.label.dataPolicy") }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row
            
            justify="center"
          >
            <v-col cols="12">
              <v-card-text class="my-0 py-0">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text text-h6"
                >{{ $t("links.label.faq") }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row
            
            justify="center"
          >
            <v-col
              cols="12"
            >
              <v-card-text class="my-0 py-0">
                <a
                  style="text-decoration:none;"
                  class="white--text text-h6"
                  @click="showCookiesAction()"
                >{{ $t("links.label.cookies") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row
            
            justify="center"
          >
            <v-col
              cols="12"
              class="mb-16"
            >
              <v-card-text class="my-0 py-0">
                <a
                  :href="$t('links.route.feedback')"
                  style="text-decoration:none;"
                  class="white--text font-weight-bold text-h5"
                >{{ $t("links.label.feedback") }}</a>
              </v-card-text>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
      <v-row>
        <v-col
          cols="12"
          class="text-center py-5 mb-0 text-h6 primary--text"
        >
          {{ $t('licenseFirst') }}  
          <a
            :href="$t('mobicoop')"
            class="primary--text font-weight-bold"
            target="_blank"
          >Mobicoop</a>  {{ $t('licenseSecond') }} 
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>